package com.zbkj.service.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zbkj.common.model.product.StoreProductProblem;
import com.zbkj.common.page.CommonPage;
import com.zbkj.common.request.CommitProblemRequest;
import com.zbkj.common.request.PageParamRequest;
import com.zbkj.common.response.ProductProblemResponse;

import java.util.List;

public interface StoreProductProblemService extends IService<StoreProductProblem> {

    CommonPage<ProductProblemResponse> getResponseList(Integer productId, PageParamRequest page);

    CommonPage<ProductProblemResponse> getSonResponseList(Integer majorId, PageParamRequest page);

    Integer commitProblem(CommitProblemRequest request);

    Integer delProblem(Integer majorId);

    Integer praiseProblem(Integer majorId);

}

